﻿/**Begin D:\PDM_UPGRADE\PDM1\HBPM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBPM_CHGRECORD') 
 CREATE TABLE T_HBPM_CHGRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FINITSTATUS VARCHAR(2) DEFAULT '2' NOT NULL,
FINITBATCH BIGINT DEFAULT 0 NOT NULL,
FINITDATASOURCE VARCHAR(2) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBPM_CHGRECORDEVT') 
 CREATE TABLE T_HBPM_CHGRECORDEVT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEVENTID BIGINT DEFAULT 0 NOT NULL,
FCHANGEDATE DATETIME,
FCHANGEREASONID BIGINT DEFAULT 0 NOT NULL,
FCHANGETYPEID BIGINT DEFAULT 0 NOT NULL,
FCHANGESCENEID BIGINT DEFAULT 0 NOT NULL,
FCHANGEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FOPERATETIME DATETIME,
FTARGETPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSOURCEPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FHISPOSITIONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBPM_CHGRECORDDETAIL') 
 CREATE TABLE T_HBPM_CHGRECORDDETAIL (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELDTAG VARCHAR(50) DEFAULT ' ' NOT NULL,
FBEFORECHANGE VARCHAR(2000) DEFAULT ' ' NOT NULL,
FAFTERCHANGE VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCHANGEOPERATEID BIGINT DEFAULT 0 NOT NULL,
FCHANGEENTITY VARCHAR(255) DEFAULT ' ' NOT NULL,
FCHANGEKEY VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HBPM_CHGRECORDEVT_L') 
 CREATE TABLE T_HBPM_CHGRECORDEVT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCHANGEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HBPM_table.sql **/
