﻿/**Begin D:\PDM_UPGRADE\PDM1\HBPM_constraint.sql **/
 EXEC P_ALTERPK 'PK_HBPM_POSITION', 'T_HBPM_POSITION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_POSITION') CREATE INDEX IDX_HBPM_POSITION ON T_HBPM_POSITION ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_POSITION_FADMINORGID') CREATE INDEX IDX_HBPM_POSITION_FADMINORGID ON T_HBPM_POSITION ( FADMINORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_POSITION_FWORKROLEID') CREATE INDEX IDX_HBPM_POSITION_FWORKROLEID ON T_HBPM_POSITION ( FWORKROLEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_POSITION_FPARENTID') CREATE INDEX IDX_HBPM_POSITION_FPARENTID ON T_HBPM_POSITION ( FPARENTID );


 EXEC P_ALTERPK 'PK_HBPM_POSITION_L', 'T_HBPM_POSITION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_POSITION_L') CREATE INDEX IDX_HBPM_POSITION_L ON T_HBPM_POSITION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HBPM_POSEVENT', 'T_HBPM_POSEVENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_POSEVENT_FCANCELEDID') CREATE INDEX IDX_HBPM_POSEVENT_FCANCELEDID ON T_HBPM_POSEVENT ( FCANCELEDEVENTID );


 EXEC P_ALTERPK 'PK_HBPM_POSBIZEVENT', 'T_HBPM_POSBIZEVENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_POSBIZEVENT_FBOID') CREATE INDEX IDX_HBPM_POSBIZEVENT_FBOID ON T_HBPM_POSBIZEVENT ( FBOID );


 EXEC P_ALTERPK 'PK_HBPM_POSHISEVENT', 'T_HBPM_POSHISEVENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_POSHISEVENT_FVID') CREATE INDEX IDX_HBPM_POSHISEVENT_FVID ON T_HBPM_POSHISEVENT ( FVID );


 EXEC P_ALTERPK 'PK_HBPM_POSITIONTYPE', 'T_HBPM_POSITIONTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_POSITIONTYPE') CREATE INDEX IDX_HBPM_POSITIONTYPE ON T_HBPM_POSITIONTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HBPM_POSITIONTYPE_L', 'T_HBPM_POSITIONTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_POSITIONTYPE_L') CREATE INDEX IDX_HBPM_POSITIONTYPE_L ON T_HBPM_POSITIONTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HBPM_POSITIONCLASSIFY', 'T_HBPM_POSITIONCLASSIFY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_POSITIONCLASSIFY') CREATE INDEX IDX_HBPM_POSITIONCLASSIFY ON T_HBPM_POSITIONCLASSIFY ( FNUMBER );


 EXEC P_ALTERPK 'PK_HBPM_POSITIONCLASSIFY_L', 'T_HBPM_POSITIONCLASSIFY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_POSITIONCLASSIFY_L') CREATE INDEX IDX_HBPM_POSITIONCLASSIFY_L ON T_HBPM_POSITIONCLASSIFY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HBPM_KEYPOSITIONTYPE', 'T_HBPM_KEYPOSITIONTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_KEYPOSITIONTYPE') CREATE INDEX IDX_HBPM_KEYPOSITIONTYPE ON T_HBPM_KEYPOSITIONTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HBPM_KEYPOSITIONTYPE_L', 'T_HBPM_KEYPOSITIONTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_KEYPOSITIONTYPE_L') CREATE INDEX IDX_HBPM_KEYPOSITIONTYPE_L ON T_HBPM_KEYPOSITIONTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HBPM_POSITIONGROUP', 'T_HBPM_POSITIONGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_POSITIONGROUP') CREATE INDEX IDX_HBPM_POSITIONGROUP ON T_HBPM_POSITIONGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_HBPM_POSITIONGROUP_L', 'T_HBPM_POSITIONGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_POSITIONGROUP_L') CREATE INDEX IDX_HBPM_POSITIONGROUP_L ON T_HBPM_POSITIONGROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HBPM_DEPUTYTYPE', 'T_HBPM_DEPUTYTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_DEPUTYTYPE') CREATE INDEX IDX_HBPM_DEPUTYTYPE ON T_HBPM_DEPUTYTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HBPM_DEPUTYTYPE_L', 'T_HBPM_DEPUTYTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_DEPUTYTYPE_L') CREATE INDEX IDX_HBPM_DEPUTYTYPE_L ON T_HBPM_DEPUTYTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HBPM_CHANGEREASON', 'T_HBPM_CHANGEREASON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_CHANGEREASON') CREATE INDEX IDX_HBPM_CHANGEREASON ON T_HBPM_CHANGEREASON ( FNUMBER );


 EXEC P_ALTERPK 'PK_HBPM_CHANGEREASON_L', 'T_HBPM_CHANGEREASON_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_CHANGEREASON_L') CREATE INDEX IDX_HBPM_CHANGEREASON_L ON T_HBPM_CHANGEREASON_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HBPM_CHANGETYPE', 'T_HBPM_CHANGETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_CHANGETYPE') CREATE INDEX IDX_HBPM_CHANGETYPE ON T_HBPM_CHANGETYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HBPM_CHANGETYPE_L', 'T_HBPM_CHANGETYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_CHANGETYPE_L') CREATE INDEX IDX_HBPM_CHANGETYPE_L ON T_HBPM_CHANGETYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HBPM_BASEDATALIST', 'T_HBPM_BASEDATALIST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_BASEDATALIST') CREATE INDEX IDX_HBPM_BASEDATALIST ON T_HBPM_BASEDATALIST ( FNUMBER );


 EXEC P_ALTERPK 'PK_HBPM_BASEDATALIST_L', 'T_HBPM_BASEDATALIST_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HBPM_BASEDATALIST_L') CREATE INDEX IDX_HBPM_BASEDATALIST_L ON T_HBPM_BASEDATALIST_L ( FID ,FLOCALEID );



/**End D:\PDM_UPGRADE\PDM1\HBPM_constraint.sql **/
